> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/test/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/test/networking/zdns/datastructure.md).

# 数据结构

## LineInfo

描述解析来源的信息。

被如下接口引用：DescribePrivateZoneRecords

| 参数名称 | 类型     | 描述                                                                                |
| ---- | ------ | --------------------------------------------------------------------------------- |
| line | String | <p>解析来源。</p><p><code>default</code> 为默认，即全局。</p><p>也可以指定某个节点ID，例如asia-east-1。</p> |
| city | String | 如果解析来源为节点，则该字段为节点所属的城市名称。                                                         |

## PrivateZone

描述内网权威域名的信息。

被如下接口引用：DescribePrivateZones

| 参数名称          | 类型                                      | 描述                              |
| ------------- | --------------------------------------- | ------------------------------- |
| zoneId        | String                                  | 内网权威域名ID。                       |
| zoneName      | String                                  | 内网权威域名。                         |
| proxyPattern  | [ProxyPattern](#proxypattern)           | 是否开启子域名递归代理。                    |
| remark        | String                                  | <p>备注信息。</p><p>最长不超过255个字符。</p> |
| recordCount   | Integer                                 | 解析记录数。                          |
| vpcIds        | Array of String                         | 绑定的VPC ID列表。                    |
| tags          | [Tags](#tags)                           | 关联的标签。                          |
| resourceGroup | [ResourceGroupInfo](#resourcegroupinfo) | 内网权威域名所在的资源组信息。                 |
| createTime    | String                                  | 内网权威域名的创建时间。                    |

## PrivateZoneRecord

描述内网权威域名解析记录的信息。

被如下接口引用：DescribePrivateZoneRecords

| 参数名称       | 类型                            | 描述                                                                                  |
| ---------- | ----------------------------- | ----------------------------------------------------------------------------------- |
| recordId   | String                        | 解析记录ID。                                                                             |
| zoneId     | String                        | 内网权威域名ID。                                                                           |
| type       | [RecordType](#recordtype)     | 解析记录类型。                                                                             |
| recordName | String                        | 主机记录。                                                                               |
| value      | String                        | 解析记录值。                                                                              |
| weight     | Integer                       | <p>解析记录权重。</p><p>可选值范围：\[1, 100]</p><p>默认值：1</p>                                    |
| ttl        | Integer                       | <p>域名本地缓存时间。</p><p>单位秒。</p><p>可选值范围：\[1, 86400]</p><p>默认值：60</p>                    |
| line       | String                        | <p>解析请求来源。</p><p><code>default</code> 为默认，即全局。</p><p>也可以指定某个节点ID，例如asia-east-1。</p> |
| lineInfo   | [LineInfo](#lineinfo)         | <p>解析请求来源详细信息。</p><p>仅当line为节点时存在。</p>                                              |
| priority   | Integer                       | <p><code>MX</code>记录的优先级。</p><p>取值越小，优先级越高。</p><p>可选值范围：\[1, 99]</p>                |
| remark     | String                        | 备注信息。                                                                               |
| status     | [RecordStatus](#recordstatus) | 解析记录状态。                                                                             |
| createTime | String                        | 解析记录的创建时间。                                                                          |

## ProxyPattern

子域名递归代理的可选值。

被如下接口引用：ModifyPrivateZone, DescribePrivateZones, AddPrivateZone

| 值         | 值说明                                                                    |
| --------- | ---------------------------------------------------------------------- |
| ZONE      | <p>关闭子域名递归代理。</p><p>当解析本域名下不存在的子域名时，直接返回 NXDOMAIN，表示子域名不存在。</p>        |
| RECURSION | <p>开启子域名递归代理。</p><p>当解析本域名下不存在的子域名时，会查询“递归”模块，并以最终查询到的解析结果来应答解析请求。</p> |

## RecordStatus

解析记录的状态可用值。

被如下接口引用：DescribePrivateZoneRecords, ModifyPrivateZoneRecordsStatus, AddPrivateZoneRecord

| 值        | 值说明   |
| -------- | ----- |
| Enabled  | 启用解析。 |
| Disabled | 暂停解析。 |

## RecordType

解析记录类型。

被如下接口引用：DescribePrivateZoneRecords, AddPrivateZoneRecord

| 值     | 值说明                                                                                                                                          |
| ----- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| A     | 将域名指向一个IP。                                                                                                                                   |
| AAAA  | 将域名指向一个IPv6。                                                                                                                                 |
| CNAME | 将域名指向另一个域名。                                                                                                                                  |
| MX    | 将域名指向邮件服务器地址。                                                                                                                                |
| TXT   | 文本信息。                                                                                                                                        |
| PTR   | <p>将IP地址指向一个域名。</p><p>实现从IP查询域名的反向解析。</p>                                                                                                    |
| SRV   | <p>记录提供特定服务的服务器。</p><p>SRV记录格式为： \[优先级] \[权重] \[端口] \[目标地址] ，优先级，权重，端口的取值范围0-65535，每项中间需以空格分隔。</p><p>例如: 0 5 5060 sipserver.example.com。</p> |

## ResourceGroupInfo

描述资源所在资源组的相关信息，包括资源组名称和ID。

被如下接口引用：DescribePrivateZones

| 参数名称              | 类型     | 描述     |
| ----------------- | ------ | ------ |
| resourceGroupId   | String | 资源组ID。 |
| resourceGroupName | String | 资源组名称。 |

## Tag

描述一个标签键值对的信息。

被如下接口引用：DescribePrivateZones, AddPrivateZone

| 参数名称  | 类型     | 必选 | 描述                              |
| ----- | ------ | -- | ------------------------------- |
| key   | String | 是  | <p>标签键。</p><p>长度限制：1～64个字符。</p> |
| value | String | 否  | <p>标签值。</p><p>长度限制：1～64个字符。</p> |

## TagAssociation

描述创建资源时同时绑定的标签对的信息。

被如下接口引用：AddPrivateZone

| 参数名称 | 类型                   | 必选 | 描述     |
| ---- | -------------------- | -- | ------ |
| tags | Array of [Tag](#tag) | 是  | 标签对列表。 |

## Tags

描述资源关联的标签信息。

被如下接口引用：DescribePrivateZones

| 参数名称 | 类型                   | 描述     |
| ---- | -------------------- | ------ |
| tags | Array of [Tag](#tag) | 标签对列表。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/networking/zdns/datastructure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
